-- LISTING 2: Set Up the Linked Servers on Node2

-- Run on Node2 - SQLHASP1\SQLDEV02
:CONNECT SQLHASP1\SQLDEV02
GO


-- Step 2: Set up linked servers on Node 2
USE master
GO
-- Define the connection to SQLHASP1\SQLDEV01 and call it Node1
EXEC sp_addlinkedserver
  @server='Node1',
  @srvproduct='',
  @provider='SQLNCLI',
  @datasrc='SQLHASP1\SQLDEV01'

-- Define the connection to SQLHASP1\SQLEXPRESS and call it Node3
EXEC sp_addlinkedserver
  @server='Node3',
  @srvproduct='',
  @provider='SQLNCLI',
  @datasrc='SQLHASP1\SQLEXPRESS'
GO

-- Postpone requesting meta data until data is actually needed
EXEC sp_serveroption 'Node1', 'lazy schema validation', true
EXEC sp_serveroption 'Node3', 'lazy schema validation', true
GO
