-- LISTING 3: Set Up the Linked Servers on Node3

-- Node3 - SQLHASP1\SQLEXPRESS
:CONNECT SQLHASP1\SQLEXPRESS
GO

-- Step 3: Set up linked servers on Node3
USE master
GO
-- Define the connection to SQLHASP1\SQLDEV01, call it Node1
EXEC sp_addlinkedserver
  @server='Node1',
  @srvproduct='',
  @provider='SQLNCLI',
  @datasrc='SQLHASP1\SQLDEV01'

-- Define the connection to SQLHASP1\SQLDEV02, call it Node2
EXEC sp_addlinkedserver
  @server='Node2',
  @srvproduct='',
  @provider='SQLNCLI',
  @datasrc='SQLHASP1\SQLDEV02' 
GO

-- Msg 15169, Level 16, State 1, Procedure sp_serveroption, Line 81
-- The server option "lazy schema validation" is not available in this edition of SQL Server.

-- Postpone requesting meta data until data is actually needed
EXEC sp_serveroption 'Node1', 'lazy schema validation', true
EXEC sp_serveroption 'Node2', 'lazy schema validation', true
GO

